InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::SocketSettings Struct Reference

Socket Settings. More...

`#include <SocketSettings.h>`

## Public Member Functions
| SocketSettings ()
| SocketSettings (std::wstring const &hostname, const unsigned port, MessageType const messageType=MESSAGE_TYPE_TEXT, const unsigned reconnectDelay=0)
| SocketSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | hostname
| Hostname of the TCP connection, empty for server.
unsigned | port
| Port of the TCP connection.
MessageType | messageType
| Message type used by the TCP connection.
unsigned | reconnectDelay
| Number of seconds after which to automatically reconnect a client connection, 0 to disable.

## Detailed Description

Socket Settings.

Class containing settings for configuring network TCP connection.

## Constructor & Destructor Documentation

## ◆ SocketSettings() [1/3]

inertia::SocketSettings::SocketSettings | ( |  | ) |

Default constructor.

## ◆ SocketSettings() [2/3]

inertia::SocketSettings::SocketSettings | ( | std::wstring const & | hostname,
|  | const unsigned | port,
|  | MessageType const | messageType = MESSAGE_TYPE_TEXT,
|  | const unsigned | reconnectDelay = 0 )

Constructor with individual arguments.

Parameters

  hostname | the hostname
  port | the port
  messageType | the messageType
  reconnectDelay | the reconnectDelay

## ◆ SocketSettings() [3/3]

inertia::SocketSettings::SocketSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates SocketSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::SocketSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for SocketSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::SocketSettings::ToString | ( |  | ) | const

Get a string representation of this SocketSettings. The string is compatible with GetOptionDescription() and SocketSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- SocketSettings.h